@import 'normalize.css';

/* Fonts */
@font-face {
	font-family: 'Circle Rounded';
	font-weight: 800;
	font-style: normal;
	src: url('./fonts/circle-rounded/bold.eot?#iefix') format('embedded-opentype'),
			 url('./fonts/circle-rounded/bold.otf') format('opentype'),
			 url('./fonts/circle-rounded/bold.woff') format('woff'),
			 url('./fonts/circle-rounded/bold.ttf') format('truetype'),
			 url('./fonts/circle-rounded/bold.svg#circleroundedbold') format('svg');
}

@font-face {
	font-family: 'Circle Rounded';
	font-weight: 900;
	font-style: normal;
	src: url('./fonts/circle-rounded/extra-bold.eot?#iefix') format('embedded-opentype'),
			 url('./fonts/circle-rounded/extra-bold.otf') format('opentype'),
			 url('./fonts/circle-rounded/extra-bold.woff') format('woff'),
			 url('./fonts/circle-rounded/extra-bold.ttf') format('truetype'),
			 url('./fonts/circle-rounded/extra-bold.svg#circleroundedextrabold') format('svg');
}

@font-face {
  font-family: 'Roboto';
  font-weight: normal;
  font-style: normal;
  src: url('./fonts/roboto/regular.eot?#iefix') format('embedded-opentype'),
  		 url('./fonts/roboto/regular.woff') format('woff'),
  		 url('./fonts/roboto/regular.ttf') format('truetype'),
  		 url('./fonts/roboto/regular.svg#robotoregular') format('svg');
}

@font-face {
  font-family: 'Roboto';
  font-weight: 500;
  font-style: normal;
  src: url('./fonts/roboto/medium.eot?#iefix') format('embedded-opentype'),
  		 url('./fonts/roboto/medium.woff') format('woff'),
  		 url('./fonts/roboto/medium.ttf') format('truetype'),
  		 url('./fonts/roboto/medium.svg#robotomedium') format('svg');
}

@font-face {
  font-family: 'Roboto';
  font-weight: 800;
  font-style: normal;
  src: url('./fonts/roboto/bold.eot?#iefix') format('embedded-opentype'),
  		 url('./fonts/roboto/bold.woff') format('woff'),
  		 url('./fonts/roboto/bold.ttf') format('truetype'),
  		 url('./fonts/roboto/bold.svg#robotobold') format('svg');
}

/* Variables */
:root {
	/* Colors */
	--color-border-light: #dcdcdc;
	--color-main: #2893e0;
	--color-poor: #808080;
	--color-dark: #1c1c1c;

	/* Fonts */
	--font-main: 'Roboto', sans-serif;
	--font-complemetary: 'Circle Rounded', sans-serif;

	/* Sizes */
	--size-global-min-width: 320px;

	--size-header-height: 80px;
	--size-header-mobile-height: 70px;
}

/* Global styling */
html,
body {
	size: 100%;
	box-sizing: border-box;
	font-family: var(--font-main);
	min-width: var(--size-global-min-width);
}

*,
*::before,
*::after {
	box-sizing: inherit;
}

body {
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

button {
	background-color: transparent;
	border-radius: 0;
	border: 0;
	box-shadow: none;
	outline: 0;
	padding: 0;
	display: block;
	cursor: pointer;
}

figure {
	margin: 0;
}

address {
	font-style: normal;
}

fieldset {
	margin: 0;
	padding: 0;
	border: 0;
}

/* Popular classes */
.fl {float: left;}
.fr {float: right;}
.db {display: block;}
.dib {display: inline-block;}
.clrfx {clear: fix;}

.container {
	max-width: 1160px;
	margin: * auto;
	clear: fix;

	&--small {
		max-width: 960px;
	}

	@media (--tablet-horizontal-only) {
		max-width: 920px;
	}

	@media (--tablet-vertical-only) {
		max-width: 680px;
	}
}

/* Media queries */
@custom-media --desktop-min screen and (min-width: 1200px);
@custom-media --tablet-horizontal-max screen and (max-width: 1200px);
@custom-media --tablet-horizontal-only screen and (max-width: 1200px) and (min-width: 961px);
@custom-media --tablet-horizontal-min screen and (min-width: 961px);
@custom-media --tablet-vertical-max screen and (max-width: 960px);
@custom-media --tablet-vertical-only screen and (max-width: 960px) and (min-width: 721px);
@custom-media --tablet-vertical-min screen and (min-width: 721px);
@custom-media --tablet-only screen and (min-width: 721px) and (max-width: 1200px);
@custom-media --mobile screen and (max-width: 720px);

/* Components */
@import '_/header.css';
@import '_/footer.css';
@import '_/navigation.css';
@import '_/stars.css';

/* Modules */
@import 'm/fieldset.css';
@import 'm/label.css';
@import 'm/input.css';
@import 'm/related-aside.css';
@import 'm/text-body.css';
@import 'm/recalls.css';
@import 'm/price-inputs.css';
@import 'm/paging.css';
@import 'm/textarea.css';

/* Index page */
@import 'index/preview.css';
@import 'index/products.css';
@import 'index/sales.css';
@import 'index/sale.css';

/* Contacts page */
@import 'contacts/map.css';
@import 'contacts/info.css';

/* Product page */
@import 'product/aside.css';
@import 'product/body.css';
@import 'product/header.css';
@import 'product/content.css';
@import 'product/certificates.css';
@import 'product/description.css';
@import 'product/comments.css';

/* Pay page */
@import 'pay/header.css';
@import 'pay/pay-order-form.css';
@import 'pay/orders-table.css';
@import 'pay/profile.css';
@import 'pay/liked.css';
@import 'pay/cart.css';
@import 'pay/checkout.css';

/* Cooler page */
@import 'cooler.css';

/* Post page */
@import 'post/index.css';

/* Sales page */
@import 'sales.css';

/* Pricelist page */
@import 'pricelist.css';

/* Callback popup form */
@import 'callback-popup-form.css';

/* Search */
@import 'search.css';

/* Popups */
@import 'popup.css';
